Firefox to deepsix SSL 2.0 Support

Mozillazine reports that plans are in the works to remove support for SSL version 2 from Firefox.
Anyone heard if IE7 will do likewise? SSL2 is old, if I remember right it is vulnerable to a Man in the Middle attack.